Package com.emc.d2fs.services.content_service

# Class GetFacetContentRequest

java.lang.Object
com.emc.d2fs.services.content_service.GetFacetContentRequest

All Implemented Interfaces:
  `Serializable`

public class GetFacetContentRequest extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.emc.com/d2fs/models/context}context"/>
           </sequence>
           <attribute ref="{http://www.emc.com/d2fs/models/common}id"/>
           <attribute name="contentTypeName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="facetName" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="facetValue" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="resetFacetName" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="viewMode" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="checkChildren" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="facetCountInfo" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetFacetContentRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCheckChildren()`
  Gets the value of the checkChildren property.
  `String`
  `getContentTypeName()`
  Gets the value of the contentTypeName property.
  `Context`
  `getContext()`
  Gets the value of the context property.
  `String`
  `getFacetCountInfo()`
  Gets the value of the facetCountInfo property.
  `String`
  `getFacetName()`
  Gets the value of the facetName property.
  `String`
  `getFacetValue()`
  Gets the value of the facetValue property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getResetFacetName()`
  Gets the value of the resetFacetName property.
  `String`
  `getViewMode()`
  Gets the value of the viewMode property.
  `void`
  `setCheckChildren(String value)`
  Sets the value of the checkChildren property.
  `void`
  `setContentTypeName(String value)`
  Sets the value of the contentTypeName property.
  `void`
  `setContext(Context value)`
  Sets the value of the context property.
  `void`
  `setFacetCountInfo(String value)`
  Sets the value of the facetCountInfo property.
  `void`
  `setFacetName(String value)`
  Sets the value of the facetName property.
  `void`
  `setFacetValue(String value)`
  Sets the value of the facetValue property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setResetFacetName(String value)`
  Sets the value of the resetFacetName property.
  `void`
  `setViewMode(String value)`
  Sets the value of the viewMode property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetFacetContentRequest

    public GetFacetContentRequest()

- ## Method Details

  - ### getContext

    public Context getContext()
    Gets the value of the context property.
    Returns:
      possible object is `Context`

  - ### setContext

    public void setContext(Context value)
    Sets the value of the context property.
    Parameters:
      `value` - allowed object is `Context`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getContentTypeName

    public String getContentTypeName()
    Gets the value of the contentTypeName property.
    Returns:
      possible object is `String`

  - ### setContentTypeName

    public void setContentTypeName(String value)
    Sets the value of the contentTypeName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFacetName

    public String getFacetName()
    Gets the value of the facetName property.
    Returns:
      possible object is `String`

  - ### setFacetName

    public void setFacetName(String value)
    Sets the value of the facetName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFacetValue

    public String getFacetValue()
    Gets the value of the facetValue property.
    Returns:
      possible object is `String`

  - ### setFacetValue

    public void setFacetValue(String value)
    Sets the value of the facetValue property.
    Parameters:
      `value` - allowed object is `String`

  - ### getResetFacetName

    public String getResetFacetName()
    Gets the value of the resetFacetName property.
    Returns:
      possible object is `String`

  - ### setResetFacetName

    public void setResetFacetName(String value)
    Sets the value of the resetFacetName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getViewMode

    public String getViewMode()
    Gets the value of the viewMode property.
    Returns:
      possible object is `String`

  - ### setViewMode

    public void setViewMode(String value)
    Sets the value of the viewMode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCheckChildren

    public String getCheckChildren()
    Gets the value of the checkChildren property.
    Returns:
      possible object is `String`

  - ### setCheckChildren

    public void setCheckChildren(String value)
    Sets the value of the checkChildren property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFacetCountInfo

    public String getFacetCountInfo()
    Gets the value of the facetCountInfo property.
    Returns:
      possible object is `String`

  - ### setFacetCountInfo

    public void setFacetCountInfo(String value)
    Sets the value of the facetCountInfo property.
    Parameters:
      `value` - allowed object is `String`